﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Maps;

namespace MapNaturalEarthSymbols
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void statesLayer_Imported(object sender, Infragistics.Controls.Maps.MapLayerImportEventArgs e)
        {
            if (e.Action == MapLayerImportAction.End)
            {
                // Get Point data from Cartesian coordinates
                double latitude = 10;
                double longitude = 10;

                // Get Point data using a projection from Geodetic to Cartesian coordinates
                Point origin = map1.MapProjection.ProjectToMap(new Point(longitude, latitude));
                SymbolElement element = new SymbolElement() { SymbolOrigin = origin, Caption = "Best Pizzarias", SymbolType = MapSymbolType.Diamond, SymbolSize = 20 };

                map1.Layers[0].Elements.Add(element);             
            }
        }

        private void map1_PreviewMouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            XamMap theMap = (XamMap)sender;
            Point mousePosition = e.GetPosition(theMap);
            Point mapPosition = theMap.Viewport.RootCanvas.RenderTransform.Inverse.Transform(mousePosition);
            Point geoPosition = theMap.MapProjection.UnprojectFromMap(mapPosition);
            MessageBox.Show(((double)geoPosition.X).ToString() + " " + ((double)geoPosition.Y));

        }
    }
}